require 'listen'
require 'fileutils'

FileUtils.mkdir_p '/tmp/dir1'
FileUtils.mkdir_p '/tmp/dir2'

listener = Listen.to('/tmp/dir1', '/tmp/dir2') do |modified, added, removed|
  puts "modified absolute path: #{modified}"
  puts "added absolute path: #{added}"
  puts "removed absolute path: #{removed}"
end
listener.start # not blocking
sleep
